<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sien.common.mapper.VipPriceMapper">

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id
        , price, member_ships, create_time, update_time, state
    </sql>

    <select id="getVipPriceById" resultType="com.sien.common.vo.app.VipPriceQueryVo">
        select
        <include refid="Base_Column_List"/>
        from vip_price where id = #{id}
    </select>

    <select id="getVipPricePageList" parameterType="com.sien.common.param.VipPricePageParam"
            resultType="com.sien.common.vo.app.VipPriceQueryVo">
        select
        <include refid="Base_Column_List"/>
        from vip_price
    </select>

</mapper>
